Loading...
Searching...
No Matches
FVarRefinement Class Reference

`#include <fvarRefinement.h>`

## Public Member Functions

| FVarRefinement (Refinement const &refinement, FVarLevel &parent, FVarLevel &child)
| ~FVarRefinement ()
int | getChildValueParentSource (Index vIndex, int sibling) const
float | getFractionalWeight (Index pVert, LocalIndex pSibling, Index cVert, LocalIndex cSibling) const
void | applyRefinement ()
void | estimateAndAllocateChildValues ()
void | populateChildValues ()
void | populateChildValuesFromFaceVertices ()
void | populateChildValuesFromEdgeVertices ()
int | populateChildValuesForEdgeVertex (Index cVert, Index pEdge)
void | populateChildValuesFromVertexVertices ()
int | populateChildValuesForVertexVertex (Index cVert, Index pVert)
void | trimAndFinalizeChildValues ()
void | propagateEdgeTags ()
void | propagateValueTags ()
void | propagateValueCreases ()
void | reclassifySemisharpValues ()

## Detailed Description

Definition at line 59 of file fvarRefinement.h.

## Constructor & Destructor Documentation

## FVarRefinement()

FVarRefinement | ( | Refinement const & | refinement,
|  | FVarLevel & | parent,
|  | FVarLevel & | child )

## ~FVarRefinement()

~FVarRefinement | ( |  | ) |

## Member Function Documentation

## applyRefinement()

void applyRefinement | ( |  | ) |

## estimateAndAllocateChildValues()

void estimateAndAllocateChildValues | ( |  | ) |

## getChildValueParentSource()

int getChildValueParentSource | ( | Index | vIndex,
|  | int | sibling ) const

inline

Definition at line 64 of file fvarRefinement.h.

## getFractionalWeight()

float getFractionalWeight | ( | Index | pVert,
|  | LocalIndex | pSibling,
|  | Index | cVert,
|  | LocalIndex | cSibling ) const

## populateChildValues()

void populateChildValues | ( |  | ) |

## populateChildValuesForEdgeVertex()

int populateChildValuesForEdgeVertex | ( | Index | cVert,
|  | Index | pEdge )

## populateChildValuesForVertexVertex()

int populateChildValuesForVertexVertex | ( | Index | cVert,
|  | Index | pVert )

## populateChildValuesFromEdgeVertices()

void populateChildValuesFromEdgeVertices | ( |  | ) |

## populateChildValuesFromFaceVertices()

void populateChildValuesFromFaceVertices | ( |  | ) |

## populateChildValuesFromVertexVertices()

void populateChildValuesFromVertexVertices | ( |  | ) |

## propagateEdgeTags()

void propagateEdgeTags | ( |  | ) |

## propagateValueCreases()

void propagateValueCreases | ( |  | ) |

## propagateValueTags()

void propagateValueTags | ( |  | ) |

## reclassifySemisharpValues()

void reclassifySemisharpValues | ( |  | ) |

## trimAndFinalizeChildValues()

void trimAndFinalizeChildValues | ( |  | ) |

The documentation for this class was generated from the following file:

- opensubdiv/vtr/fvarRefinement.h